<?php
$pageTitle = 'Cetak Ulang';
require(__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');
?>
<script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
<div class="col-xs-12">
    <div class="input-group row col-xs-12 animated fadeInRight">
        <div class="col-md-5">
            <input name="search_medical_record" id="search_medical_record" type="text" class="form-control" placeholder="Pencarian Penderita:" autocomplete="off" tabindex="0" value="">
        </div>
        <div class="col-md-3">
            <div class="input-group">
                <select name="filterPerawatan" id="filterPerawatan" class="form-control">
                    <option value="">Semua Perawatan</option>
                    <option value="RJ">Semua Rawat Jalan</option>
                    <?php $objDepartment = SystemDepartment::LoadByGroupName('POLI'); ?>
                    <?php foreach ($objDepartment as $item) { ?>
                        <option value="<?= $item->Id ?>" ><?= $item->Name; ?></option>
                    <?php } ?>
                    <option value="RD">Semua Rawat Darurat</option>
                    <?php $objDepartment = SystemDepartment::LoadByGroupName('IGD'); ?>
                    <?php foreach ($objDepartment as $item) { ?>
                        <option value="<?= $item->Id ?>" ><?= $item->Name; ?></option>
                    <?php } ?>
                    <option value="RI">Semua Rawat Inap</option>
                    <?php $objDepartment = SystemDepartment::LoadByGroupName('RUANGAN'); ?>
                    <?php foreach ($objDepartment as $item) { ?>
                        <option value="<?= $item->Id ?>" ><?= $item->Name; ?></option>
                    <?php } ?>
                </select>
            </div>
        </div>
        <div class="col-md-4">
            <div id="rangeWaktu" class="pull-right" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc">
                <i class="glyphicon glyphicon-calendar fa fa-calendar"></i>
                <span></span> <b class="caret"></b>
            </div>
        </div>
    </div>
    <div class="input-group col-xs-12 ">
        <style>
            table.dataTable thead tr {
                background-color: azure;
            }
            table.dataTable tbody th, table.dataTable tbody td {
                padding: 4px 6px; /* e.g. change 8x to 4px here */
                height: 15px;
            }
        </style>
        <div class="row">
            <div class="table-responsive col-md-12">
                <table id="search_result_pre_document_service" class="table table-striped table-bordered table-responsive dataTable" style="width:100%;">
                </table>
            </div>
        </div>
    </div>
</div>

<?php
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
$start = QDateTime::Now();
?>

<script type="text/javascript">

    var strTempPrintOption = 'page=<?= __PAGE__?>&activity_id=';
    $(document).ready(function () {
        var startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        $('#rangeWaktu span').html(startRange);
    });

    // alert('<?= QApplication::UrlActionCreator('DemoControl/TableSource') ?>'+'/?'+'pageId='+strPageId);
    $("#search_medical_record").on("keypress", function (e) {
        // mencegah post
        if (e.keyCode == vk_RETURN) {
            e.preventDefault();
        }
    });
    $("#search_medical_record").on("input", function (e) {
        // mencegah post
        e.preventDefault();
        $('#search_result_pre_document_service').DataTable().search($(this).val()).draw();
    });

    $('#rangeWaktu').daterangepicker({
        format: 'DD/MM/YYYY',
        dateLimit: { days: 60 },
        showDropdowns: true,
        showWeekNumbers: true,
        timePicker: false,
        timePickerIncrement: 1,
        timePicker12Hour: true,
        ranges: {
            'Hari ini': [moment(), moment()],
            'Kemarin': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
            '7 Hari terakhir': [moment().subtract(6, 'days'), moment()],
            '30 Hari terakhir': [moment().subtract(29, 'days'), moment()],
            'Bulan ini': [moment().startOf('month'), moment().endOf('month')],
            'Bulan Lalu': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
        },
        opens: 'left',
        drops: 'down',
        buttonClasses: ['btn', 'btn-sm'],
        applyClass: 'btn-primary',
        cancelClass: 'btn-default',
        separator: ' to ',
        locale: {
            applyLabel: 'Submit',
            cancelLabel: 'Cancel',
            fromLabel: 'From',
            toLabel: 'To',
            customRangeLabel: 'Custom',
            daysOfWeek: ['Mg', 'Sn', 'Sl', 'Rb', 'Km', 'Jm', 'Sb'],
            monthNames: ['Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember'],
            firstDay: 1
        }
    }, function(start, end, label) {
        var newRange = start.format('DD.MM.YYYY') + ' - ' + end.format('DD.MM.YYYY');
        $('#rangeWaktu span').html(newRange);
        reload();
    });
    $('#filterPerawatan').on('change', function(){tablePre.ajax.reload();});

    var selectedIndex = 0;
    var tablePre = $('#search_result_pre_document_service').DataTable({
        "header": true
        , "language": {
            "processing": '<img src="<?= __USER_ASSETS__ ?>/images/spinner.gif">'
        }
        , "processing": true
, "serverSide": true
            , "lengthMenu": [ [ 8, 25, 50, 100 /* , -1 */ ], [ 8, 25, 50, 100 /* , "All" */ ] ]
        , "ajax": {
                // 'url' :'<?= QApplication::UrlActionCreator('PatientNursingPrintingService/MedicalService') ?>'
                'url' :'<?= QApplication::UrlActionCreator('PatientNursingPrintingService/NewMedicalService') ?>'
                , 'type' : 'POST'
                , "data" : function(d){
                    d.pageId = strPageId;
                    d.search_keyword = function() { return $("#search_box").val() ? $("#search_box").val() : '' ; };
                    //d.section = 'preService';
                    d.range = DateRange;
                    d.type = 'CARD';
                    d.filterPerawatan = $('#filterPerawatan').val();
                    // d.type = 'LABEL';
                }
            }
       
        , "info": true
        , "autoWidth": false
        , "autoHeight": true
        , "pageResize": true
        , "sScrollX": "100%"
        //, "sScrollY": "1000"
        , select: true
        , keys: true
        , "lengthChange": false
        , "ajax": {
            'url': '<?= QApplication::UrlActionCreator('PatientNursingPrintingService/MedicalService') ?>',
            'type': 'POST',
            'data': function (d) {
                d.pageId = strPageId;
                //d.section = 'preService';
                d.range = $('#rangeWaktu span').html();
                d.type = 'BPJS';
                d.filterPerawatan = $('#filterPerawatan').val();
            }
        }
        , 'order': [[3,'desc']]
        , "columns": [
{
                    "data": "Id"
                    , "title": "No"
                    , "width": "1%"
                    , "className": "uniqueClassTextAlignRight"
                    , "searchable": false
                    , "sortable": false
                    , "render": function (data, type, row, meta) {
                    if(data=="empty") { return '' ; }
                      return meta.row + meta.settings._iDisplayStart + 1;
                    }
                }
,            
{
                'title': 'No.RM'
                , 'data': 'Mr'
                , 'width': '40px'
                , 'searchable': true
                , 'sortable': true
            }
            , {
                'title': 'Nama'
                , 'data': 'FirstName'
                , 'width': '25%'
                , 'searchable': true
                , 'sortable': true
            }
            , {
                'title': 'Poli'
                , 'data': 'DepartmentName'
                , 'width': '25%'
                , 'searchable': true
                , 'sortable': true
            }
            , {
                'title': 'Tgl. Masuk'
                , 'data': 'NursingStartDate'
                , 'width': '180px'
                , 'searchable': false
                , 'sortable': true
            }
            , {
                'title': 'No Kartu'
                , 'data': 'RegisterMembershipNumber'
                , 'searchable': true
                , 'sortable': true
            }
            , {
                'title': 'No SEP'
                , 'data': 'RegisterWarantyLetterNumber'
                , 'searchable': true
                , 'sortable': true
            }
            , {
                'title': 'Pilih'
                , 'data': 'Id'
                , 'width': '100px'
                , 'orderable': false
                , 'searchable': false
                , 'render': function (data, type, full, meta) {
                    var hasil = '<button style="margin: 1px" class="btn btn-xs btn-warning btnKirim" id="' + data + '" data-activity="' + full.ActivityId + '"><i class="fa fa-print"></i> SEP</button>';
                    if(full.NomorSpri){
                        hasil += '<button style="margin: 1px" class="btn btn-xs btn-warning btnSpri" data-activity="' + full.ActivityId + '"><i class="fa fa-print"></i> SPRI</button>';
                    }
                    if(full.NomorSuratKontrol){
                        hasil += '<button style="margin: 1px" class="btn btn-xs btn-warning btnSuratKontrol" data-activity="' + full.ActivityId + '"><i class="fa fa-print"></i> Surat Kontrol</button>';
                    }
                    return hasil;
                }
            }
        ]
    });

    tablePre.on('draw.dt', function () {
        $('select').each(function () {
            $(this).chosen({width: $(this).eq(0).width() + 'px'});
        });
        tablePre.cell(':eq(0)').focus();
    });

    tablePre.on('key-focus', function (e, datatable, cell) {
        datatable.rows().deselect();
        datatable.row(cell.index().row).select();
    });

    tablePre.on('key', function (e, datatable, key, cell, originalEvent) {
        if (key == 27) {
            return true;
        }
        if (key == 13) {
            return true;
        }
    });


    $('#search_result_pre_document_service tbody').on('click', 'tr', function () {
        if ($(this).hasClass('selected')) {
            $(this).removeClass('selected');
        }
        else {
            tablePre.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');
        }
    });

    $('#search_result_pre_document_service tbody').off('click', '.btnKirim').on('click', '.btnKirim', function () {
        var data = tablePre.row($(this).parents('tr')).data();
        var strOption = strTempPrintOption + data['ActivityId'] + '&ticket=' + data['Id'];
        printPreview('sep', '<?= QApplication::UrlCreator('hmis-patient-printing/bpjs-print') ?>', strOption);  
        return false;
    });

    $('#search_result_pre_document_service tbody').off('click', '.btnSpri').on('click', '.btnSpri', function () {
        var data = tablePre.row($(this).parents('tr')).data();
        var strId = data.Id;
        var url = '<?= QApplication::UrlCreator('hmis-patient-printing/rujukan-bpjs-print')?>?pageid='+strPageId+'&NursingId='+strId;
        printPreview('spri', url);  
        return false;
    });
    $('#search_result_pre_document_service tbody').off('click', '.btnSuratKontrol').on('click', '.btnSuratKontrol', function () {
        var data = tablePre.row($(this).parents('tr')).data();
        var strId = data.Id;
        var url = '<?= QApplication::UrlCreator('hmis-patient-printing/rujukan-bpjs-print')?>?pageid='+strPageId+'&NursingId='+strId;
        printPreview('suratKontrol', url);  
        return false;
    });

    var fnConfirmTindakan = function (strRecId) {
        jQuery.fallr('hide', null);
        setContent('../promedika/hmis-patient-medical-service/tindakan/?page=' + strPage + '&Id=' + strRecId, 'content');
    };

    var fnConfirmBatal = function (strRecId) {
        jQuery.fallr('hide', null);
        alert('Batal ' + strRecId);
    };

    var fnCloseConfirm = function (strRecId) {
        jQuery.fallr('hide', null);
    };

    var fnSelectReset = function (strRecId) {
        $('#' + strRecId + '.optionSelect').val('-');
        $('#' + strRecId + '.optionSelect').trigger("chosen:updated");
        fnCloseConfirm();
        return true;
    };

    $(".dataTables_wrapper .row").show();

    function reload() {
        tablePre.ajax.reload();
    }
</script>
